/* ====================================================================
 * Copyright (c) 2008       Martin Hauner
 *                          http://subcommander.tigris.org
 *
 * Subcommander is licensed as described in the file doc/COPYING, which
 * you should have received as part of this distribution.
 * ====================================================================
 */

#ifndef _RUNNINGBOOKMARK_TEST_H
#define _RUNNINGBOOKMARK_TEST_H

// cppunit
#include <cppunit/TestFixture.h>
#include <cppunit/extensions/HelperMacros.h>

// sc
class Bookmark;


class RunningBookmarkTest : public CppUnit::TestCase 
{
  CPPUNIT_TEST_SUITE( RunningBookmarkTest );
  CPPUNIT_TEST( runningSingle );
  CPPUNIT_TEST( runningMultiple );
  CPPUNIT_TEST_SUITE_END(); 

public:
  void setUp();
  void tearDown();

  // Tests
  void runningSingle();
  void runningMultiple();

private:
  Bookmark* _bm;
};

#endif // _RUNNINGBOOKMARK_TEST_H
